%define	name	gnuplot
%define	version 4.4.3
%define release	%mkrel 2
%define	modeversion 0.6.0

Name:		%{name}
Summary:	A program for plotting mathematical expressions and data
Version:	%{version}
Release:	%{release}
License:	Freeware-like
Group:		Sciences/Other
URL:		http://www.gnuplot.info/
Source0:	http://downloads.sourceforge.net/project/gnuplot/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:	http://cars9.uchicago.edu/~ravel/software/gnuplot-mode/gnuplot-mode.%{modeversion}.tar.bz2
Source2:	http://www.gnuplot.info/faq/faq.html
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		gnuplot-4.0.0-emacs-mode--disable-f9.patch
Patch1:		gnuplot-4.2.4-fix-format-errors.patch
Requires:	gnuplot-doc = %{version}-%{release}
Requires(preun):		info-install
BuildRequires:	libx11-devel
BuildRequires:	emacs-bin
BuildRequires:	ncurses-devel
BuildRequires:	png-devel
BuildRequires:	readline-devel
BuildRequires:	texlive
BuildRequires:  texinfo
BuildRequires:  gd-devel
BuildRequires:  cairo-devel
BuildRequires:	lua-devel
BuildRequires:	wxgtku2.8-devel

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%package nox
Summary:	A program for plotting mathematical expressions and data
Group:		Sciences/Other
Conflicts:	gnuplot < 4.4.3

%description nox
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

This package provides GNUPlot without any X dependency.

%package mode
Summary:	Yet another Gnuplot mode for Emacs
Group:		Sciences/Other
Conflicts:	gnuplot < 4.4.3

%description mode
Gnuplot is a major mode for Emacs flavours with the following features:

 - Functions for plotting lines, regions, entire scripts, or entire files
 - Graphical interface to setting command arguments
 - Syntax colorization
 - Completion of common words in Gnuplot
 - Code indentation
 - On-line help using Info for Gnuplot functions and features
 - Interaction with Gnuplot using comint
 - Pull-down menus plus a toolbar in XEmacs
 - Distributed with a quick reference sheet in postscript.

%package doc
Summary:	GNUPlot Documentation
Group:		Sciences/Other
Conflicts:	gnuplot < 4.4.3

%description doc
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

This package provides the additional documentation.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1

perl -pi -e 's|(^\s*)mkinstalldirs\s|$1./mkinstalldirs |' gnuplot-mode.%{modeversion}/Makefile.in
# Non-free stuff. Ouch. -- Geoff
rm -f demo/prob.dem demo/prob2.dem

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-fast-math"
export CONFIGURE_TOP=..

mkdir build-nox
pushd build-nox
%configure2_5x --with-readline=gnu --with-png --without-linux-vga --without-x --disable-wxwidgets
%make -C src/
%make -C docs/ ps
%make -C docs/ pdf
popd

mkdir build-x11
pushd build-x11
%configure2_5x --with-readline=gnu --with-png --without-linux-vga
%make
popd

pushd gnuplot-mode.%{modeversion} && {
    ./configure --prefix=/usr
    %make
} && popd

cp -f %SOURCE2 .
chmod 644 faq.html

%install
rm -rf $RPM_BUILD_ROOT

pushd build-nox
 %{makeinstall_std}
%__mv %{buildroot}/%{_bindir}/gnuplot %{buildroot}/%{_bindir}/gnuplot-nox
popd

pushd build-x11
%{makeinstall_std}
popd

pushd gnuplot-mode.%{modeversion} && {
    make install prefix=$RPM_BUILD_ROOT/usr
    pdflatex gpelcard
    install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
    install -m 644 dotemacs $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
} && popd

# Copy back from build dir to be able to package those files
pushd build-nox
%__mv docs/gnuplot.pdf ../docs/
%__mv docs/gnuplot.ps ../docs/
%__mv docs/gpcard.ps ../docs/
popd

# menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Gnuplot
Comment=The famous function plotting program
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=true
Type=Application
StartupNotify=true
Categories=Graphics;Science;
EOF

# icon
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/gnuplot

%files nox
%defattr(-,root,root)
%doc Copyright faq.html
%doc README README.1ST
%doc TODO NEWS PORTING
%{_bindir}/gnuplot-nox
%{_mandir}/*/*
%{_libdir}/gnuplot
%{_datadir}/gnuplot
%{_datadir}/applications/mageia-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/texmf/tex/latex/gnuplot

%files doc
%defattr(-,root,root)
%doc demo docs/psdoc docs/gnuplot.pdf
%{_datadir}/gnuplot
%{_infodir}/*

%files mode
%defattr(-,root,root)
%doc gnuplot-mode.%{modeversion}/gpelcard.pdf
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_datadir}/emacs/site-lisp/*


%changelog

* Fri Feb 03 2012 nanardon <nanardon> 4.4.3-2.mga1
+ Revision: 204187
- fix dektop file (again)
- fix dektop file
- fix #2744: hard requires to -doc packages as it contains need files

* Tue May 17 2011 dmorgan <dmorgan> 4.4.3-1.mga1
+ Revision: 99435
- Add conflict to fix upgrade
- New version 4.4.3
  Sync with mdv for splitting ( mdv commit 657966 )
- Backport mdv commit 657554 (Adding BuildRequires on cairo-devel to enable the build of pngcairo and pdfcairo support, thus fixing bug 63109.)

* Sat Mar 05 2011 grenoya <grenoya> 4.4.2-3.mga1
+ Revision: 64703
- change tetex-latex dependencie to texlive

* Thu Feb 24 2011 grenoya <grenoya> 4.4.2-2.mga1
+ Revision: 58953
- clean old mdv syntax
- imported package gnuplot


* Wed Dec 22 2010 Funda Wang <fwang@mandriva.org> 4.4.2-2mdv2011.0
+ Revision: 623762
- tighten BR

* Wed Nov 24 2010 Lev Givon <lev@mandriva.org> 4.4.2-1mdv2011.0
+ Revision: 600345
- Update to 4.4.2.
  Update faq.

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 4.4.0-1mdv2010.1
+ Revision: 540897
- new version 4.4.0

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.2.6-2mdv2010.1
+ Revision: 522741
- rebuilt for 2010.1

* Wed Sep 16 2009 Frederik Himpe <fhimpe@mandriva.org> 4.2.6-1mdv2010.0
+ Revision: 443645
- Update to new version 4.2.6

* Mon Aug 03 2009 Funda Wang <fwang@mandriva.org> 4.2.5-1mdv2010.0
+ Revision: 408267
- new version 4.2.5

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.2.4-3mdv2009.1
+ Revision: 345090
- rebuild for latest readline
- fix format errors

* Wed Dec 03 2008 Stéphane Téletchéa <steletch@mandriva.org> 4.2.4-1mdv2009.1
+ Revision: 309670
- Update to 4.2.4
- Correct the internal links in gnuplot-faq.html, fixes #19547

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 4.2.3-2mdv2009.0
+ Revision: 264606
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Frederik Himpe <fhimpe@mandriva.org> 4.2.3-1mdv2009.0
+ Revision: 200887
- New version, Gnuplot.app-defaults has been renamed

* Thu Feb 07 2008 Thierry Vignaud <tv@mandriva.org> 4.2.2-4mdv2008.1
+ Revision: 163373
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 06 2007 Olivier Thauvin <nanardon@mandriva.org> 4.2.2-3mdv2008.1
+ Revision: 106361
- rebuild for lzma man page

* Sat Oct 27 2007 Olivier Thauvin <nanardon@mandriva.org> 4.2.2-2mdv2008.1
+ Revision: 102689
- 4.2.2

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 4.2.0-2mdv2008.0
+ Revision: 70284
- unregister info file before uninstalling it
- kill file require on info-install

* Tue Apr 17 2007 Erwan Velu <erwan@mandriva.org> 4.2.0-1mdv2007.1
+ Revision: 13641
- 4.2.0
  Adding gd-devel buildrequires for png & jpg terminal


* Thu Oct 12 2006 Pixel <pixel@mandriva.com> 4.0.0-11mdv2006.0
+ Revision: 63501
+ Status: not released
- fix segfault (patch from fedora) (#25014)

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.0.0-8mdk
- Rebuild

* Fri May 20 2005 Pixel <pixel@mandriva.com> 4.0.0-7mdk
- disable f9 in emacs mode (it is too invasive)

* Wed May 18 2005 Giuseppe Ghib <ghibo@mandriva.com> 4.0.0-6mdk
- Fixed building docs with teTeX 3.0 (Pixel).

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.0.0-5mdk
- rebuild for new slang
- do not bzip2 icons in .src.rpm
- fix summary-ended-with-dot
- cosmetics

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.0.0-4mdk
- Rebuild with new menu

* Tue Jul 13 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-3mdk
- change mail adress in changelog

* Sun Jun 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-2mdk
- Guillaume Cottenceau is no longer the packager (Happy man :)
- BuildRequires texinfo (Thx Emmanuel Favre-Nicolin <manu_favre@yahoo.com>)

* Wed Jun 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-1mdk
- 4.0.0
- menu in spec, fix menu

* Sun Dec 21 2003 Stefan van der Eijk <stefan@eijk.nu> 3.7.3-3mdk
- BuildRequires

